apiVersion: external-secrets.io/v1beta1
kind: ClusterSecretStore
metadata:
  name: aws-store
  namespace: kube-system
spec:
  provider:
    aws:
      service: SecretsManager
      region: us-east-2
      auth:
        secretRef:
          accessKeyIDSecretRef:
            name: awssm-secret
            key: AWS_ACCESS_KEY_ID
            namespace: kube-system
          secretAccessKeySecretRef:
            name: awssm-secret
            key: AWS_SECRET_ACCESS_KEY
            namespace: kube-system
